body {
    display: flex;
    background-color: rgb(32, 43, 43);
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    font-family: Arial, sans-serif;
    color: #f2f2f2;
}

#game-container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

#puzzle-container {
    display: grid;
    grid-template-columns: repeat(3, 105px);
    gap: 5px;
    background-color: #345e5eda;
    padding: 10px;
    box-shadow: 1px 1px 5px #f5f5f59f;
    border-radius: 5px;
}

.tile {
    width: 105px;
    height: 105px;
    background-color: rgba(205, 230, 17, 0.874);
    color: #5a77c1;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 2em;
    cursor: pointer;
    user-select: none;
    border-radius: 5px;
}

.tile.empty {
    background-color: transparent;
    cursor: default;
}

#shuffle-button {
    margin-top: 20px;
    padding: 7px 50px;
    font-size: 1.5em;
    cursor: pointer;
    color: whitesmoke;
    background-color: rgb(135, 30, 12);
    border: 2px solid rgb(0, 0, 0);
    border-radius: 5px;
}

#shuffle-button:hover {
    margin-top: 20px;
    padding: 7px 50px;
    font-size: 1.5em;
    cursor: pointer;
    color: whitesmoke;
    background-color: rgb(135, 30, 12);
    border: 2px solid rgb(0, 0, 0);
    border-radius: 5px;
}

#reset-button {
    margin-top: 20px;
    padding: 7px 50px;
    font-size: 1.5em;
    cursor: pointer;
    color: whitesmoke;
    background-color: rgb(135, 30, 12);
    border: 2px solid rgb(0, 0, 0);
    border-radius: 5px;
}

#timer {
    font-size: 1.5em;
    margin-bottom: 20px;
}
